Page MenuHomeFreeBSD

net/shadowsocks-libev: Add USES=compiler:c++11-lang and merge upstream patch (commit 662b6db3f3c395b552fa16f7fb22558aa38fe6aa) to fix build on GCC architectures.Tested on powerpc64 and amd64.PR: 237562
ClosedPublic

Authored by pkubaj on Apr 28 2019, 2:12 AM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pkubaj created this revision.Apr 28 2019, 2:12 AM
linimon retitled this revision from Add USES=compiler:c++11-lang and merge upstream patch (commit 662b6db3f3c395b552fa16f7fb22558aa38fe6aa) to fix build on GCC architectures. Tested on powerpc64 and amd64. PR: 237562 to net/shadowsocks-libev: Add USES=compiler:c++11-lang and merge upstream patch (commit 662b6db3f3c395b552fa16f7fb22558aa38fe6aa) to fix build on GCC architectures.Tested on powerpc64 and amd64.PR: 237562.Apr 28 2019, 2:29 AM

I would try to add the upstream commit as patch, and call it patch-git_662b6d -- that way it is clear that it comes from upstream and can probably go in the next upgrade.

Also I would keep the whole header of the commit in there.

pkubaj updated this revision to Diff 56774.Apr 28 2019, 1:28 PM

Merge patches to one file.

mat added a comment.Apr 30 2019, 2:08 PM

If this is a verbatim upstream patch, you could simply add a patch block:

PATCH_SITES=    https://github.com/${GH_ACCOUNT}/${GH_PROJECT}/commit/
PATCHFILES=     662b6db3f3c395b552fa16f7fb22558aa38fe6aa.patch:-p1 \

and run make makesum again.

pkubaj updated this revision to Diff 56877.Apr 30 2019, 7:07 PM

Replace our local patch with patch from Github.

mat accepted this revision.May 1 2019, 6:58 AM
This revision is now accepted and ready to land.May 1 2019, 6:58 AM
This revision was automatically updated to reflect the committed changes.